Subject: Bug#78: [X2Go-Dev] Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher

From: Mike Gabriel <[email-masked]>
Date: Mon, 13 Jun 2016 21:49:12 +0000

Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/pull/137
Control: tags -1 fixed-upstream

Hi all,

On  Do 06 Dez 2012 13:17:05 CET, Mike Gabriel wrote:

> Hi Reinhard,
>
> On Do 06 Dez 2012 12:59:36 CET Reinhard Tartler wrote:
>
>> Package: x2goagent
>>
>> When starting a new x2go session, the startup scripts modify the
>> LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
>> This replaces the system libXrandr with the NX/X2go  provided one.
>> Unfortunately, this breaks the xrandr utility:
>>
>>>> echo $LD_LIBRARY_PATH
>> /usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
>>
>>>> xrandr
>> xrandr: symbol lookup error: xrandr: undefined symbol: XRRGetScreenSizeRange
>> zsh: exit 127   xrandr
>
> this was done to work around a critical Ubuntu KDE bug in precise:
> https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
>
> The path add-on for Xrandr is only done for KDE sessions. I will be  
> happy to revert that nasty hack, but before that, we need someone to  
> dig into KDE and (if I recall correctly) the patches applied to  
> libxfixes in Ubuntu 12.04 and beyond.
>
> If you disable the LD_LIBRARY_PATH code for Xrandr (x2goruncommand),  
> then you will find regularly kwin crashes on KDE in precise+.
>
> Greets,
> Mike

I recently backport RANDR 1.5 extension to nx-X11's Xserver. Pull  
request still open (but review is in process):
https://github.com/ArcticaProject/nx-libs/pull/137

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de